package com.bizmatics.mhfire.controller;

import com.bizmatics.mhfire.service.util.GouldUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * @author yq
 * @date 2021/7/23 16:22
 */
@RestController
@RequestMapping("test")
public class Test {

    @Autowired
    private GouldUtil gouldUtil;


    @GetMapping("/getAddress")
    public String getAddress(String longitude,String lat) {
        System.out.println(longitude);
        System.out.println(lat);
        String address = gouldUtil.getAMapByLngAndLat(longitude, lat);
        return address;
    }

    @GetMapping("/getLonLat")
    public String getLonLat(@RequestParam String address) {
        String result = gouldUtil.getLonLat(address);
        return result;
    }

}
